TYPE=TRIGGERS
triggers='CREATE DEFINER=`sa`@`%` TRIGGER `THySlTrs2SBLJGO` AFTER INSERT ON `hysltrsdtl`   
\n     FOR EACH ROW BEGIN                                          
\n     DECLARE tsblQty_in        DECIMAL (9,2) DEFAULT 0;          
\n     DECLARE tsblAmt_in        DECIMAL (11,2) DEFAULT 0;         
\n     DECLARE tsblQty_out       DECIMAL (9,2) DEFAULT 0;          
\n     DECLARE tsblAmt_out       DECIMAL (11,2) DEFAULT 0;         
\n     DECLARE tSalQty        DECIMAL (9,2) DEFAULT 0;             
\n     DECLARE tSalAmt        DECIMAL (11,2) DEFAULT 0;            
\n     DECLARE tPucAmt        DECIMAL (11,2) DEFAULT 0;            
\n     DECLARE tbarcod        CHAR(20);                            
\n     DECLARE tJgoqty        DECIMAL (9,2) DEFAULT 0;             
\n     DECLARE tdsstk         INT DEFAULT 0;                       
\n     DECLARE Cur_state      INT DEFAULT 0;                       
\n     DECLARE  mspumstk_cursor CURSOR                             
\n     FOR                                                         
\n         SELECT cd_stk,qty_stk,ds_stk FROM mspumstk WHERE cd_bar=NEW.cd_bar;    
\n     DECLARE CONTINUE HANDLER FOR SQLSTATE \'02000\' SET cur_state = 1;         
\n     OPEN mspumstk_cursor;                                                      
\n     REPEAT                                                                     
\n       FETCH mspumstk_cursor INTO tbarcod,tjgoqty,tdsstk;                       
\n        SET tsalqty=(new.qty_sale*-1);                                          
\n        SET tpucamt=(new.qty_sale*new.pr_buy)*-1;                               
\n        SET tsalamt=(new.amt_sale*-1);                                          
\n        IF NEW.knd_trs=2 THEN                                                   
\n           IF NOT cur_state THEN                                                
\n              IF NOT EXISTS (SELECT cd_bar FROM jgpumtrs WHERE cd_bar=tbarcod) THEN 
\n                 INSERT jgpumtrs (cd_bar,qty_jgo,amt_puc,amt_sal ) VALUES (tbarcod,tsalqty*tjgoqty,tpucamt,tsalamt); 
\n              ELSE                                                                                                   
\n                 UPDATE jgpumtrs SET qty_jgo=qty_jgo+tsalqty*tjgoqty                                                 
\n                                    ,amt_puc=amt_puc+tpucamt                                                         
\n                                    ,amt_sal=amt_sal+tsalamt                                                         
\n                  WHERE cd_bar=tbarcod ;                                                                             
\n              END IF;                                                                                                
\n           END IF;                                                                                                   
\n         END IF;                                                                                                     
\n     UNTIL cur_state END REPEAT;                                                                                     
\n     CLOSE mspumstk_cursor;                                                                                          
\n     IF NEW.knd_trs=2 THEN                                                                                           
\n        IF NOT EXISTS (SELECT cd_bar FROM mspumstk WHERE cd_bar=NEW.cd_bar) THEN                                     
\n           SET tsalqty=(new.qty_sale*-1);                                                                            
\n           SET tpucamt=(new.qty_sale*new.pr_buy)*-1;                                                                 
\n           SET tsalamt=(new.amt_sale*-1);                                                                            
\n           INSERT INTO jgpumtrs (cd_bar,qty_jgo,amt_puc,amt_sal ) VALUES (NEW.cd_bar,tsalqty,tpucamt,tsalamt)        
\n           ON DUPLICATE KEY UPDATE qty_jgo=qty_jgo+tsalqty,amt_puc=amt_puc+tpucamt,amt_sal=amt_sal+tsalamt;          
\n        END IF;                                                                                                      
\n        IF NEW.qty_sale<0 THEN                                                                                       
\n           SET tsblqty_in = NEW.qty_sale*-1;                                                                         
\n           SET tsblamt_in = new.amt_sale*-1;                                                                         
\n        ELSE                                                                                                         
\n           SET tsblqty_out = NEW.qty_sale*-1;                                                                        
\n           SET tsblamt_out = new.amt_sale*-1;                                                                        
\n        END IF;                                                                                                      
\n        INSERT INTO SbPumTrs (dt_sbl,cd_bar,qty_setc_out,amt_setc_out,qty_setc_in,amt_setc_in)                       
\n        VALUES               (NEW.dt_trs,NEW.CD_BAR,tsblqty_out,tsblamt_out,tsblqty_in,tsblamt_in)                   
\n        ON DUPLICATE KEY UPDATE qty_setc_out=qty_setc_out+tsblqty_out,amt_setc_out=amt_setc_out+tsblAmt_out          
\n                               ,qty_setc_in=qty_setc_in+tsblqty_in,amt_setc_in=amt_setc_in+tsblamt_in;               
\n     END IF;                                                                                                         
\n END'
sql_modes=1344274432
definers='sa@%'
client_cs_names='euckr'
connection_cl_names='euckr_korean_ci'
db_cl_names='euckr_korean_ci'
