TYPE=TRIGGERS
triggers='CREATE DEFINER=`sa`@`%` TRIGGER `evdscdtl_log` BEFORE UPDATE ON `hysvrdb`.`evdscdtl` FOR EACH ROW BEGIN
\n      INSERT INTO evdscdtllog (no_seq,cd_byr,cd_bar,knd_chg,pr_dsc_puc_old,pr_dsc_puc,
\n                               pr_dsc_sal_old,pr_dsc_sal,dt_start,dt_start_old,dt_end,dt_end_old,
\n                               knd_stat_old,knd_stat,knd_point_old,knd_point,
\n                               ymd_chg,cd_user)  
\n                       VALUES (old.no_seq,OLD.cd_byr,OLD.cd_bar,3,old.pr_dsc_puc,new.pr_dsc_puc,
\n                               OLD.pr_dsc_sal,new.pr_dsc_sal,new.dt_start,old.dt_start,new.dt_end,old.dt_end,
\n                               new.knd_stat,old.knd_stat,new.knd_point,old.knd_point,
\n                               SYSDATE(),old.cd_user);    
\n                                   
\nEND' 'CREATE DEFINER=`sa`@`%` TRIGGER `evdscdtl_dellog` BEFORE DELETE ON `hysvrdb`.`evdscdtl` FOR EACH ROW BEGIN
\n      INSERT INTO evdscdtllog (no_seq,cd_byr,cd_bar,knd_chg,pr_dsc_puc_old,pr_dsc_puc,
\n                               pr_dsc_sal_old,pr_dsc_sal,dt_start,dt_start_old,dt_end,dt_end_old,
\n                               knd_stat_old,knd_stat,knd_point_old,knd_point,
\n                               ymd_chg,cd_user)  
\n                       VALUES (old.no_seq,OLD.cd_byr,OLD.cd_bar,2,old.pr_dsc_puc,old.pr_dsc_puc,
\n                               OLD.pr_dsc_sal,OLD.pr_dsc_sal,dt_start,old.dt_start,dt_end,old.dt_end,
\n                               knd_stat,old.knd_stat,knd_point,old.knd_point,
\n                               SYSDATE(),cd_user);    
\n                                   
\nEND'
sql_modes=1344274432 1344274432
definers='sa@%' 'sa@%'
client_cs_names='euckr' 'euckr'
connection_cl_names='euckr_korean_ci' 'euckr_korean_ci'
db_cl_names='euckr_korean_ci' 'euckr_korean_ci'
